# build_example: Compiles example binaries as well
#	0 = no
#	1 = yes
%define build_example	0

# End of user configurable section

%{?_without_example: %{expand: %%define build_example 0}}
%{?_with_example: %{expand: %%define build_example 1}}

%define req_glib2_version	2.0.0

%define	pkgname		libgtop
%define api_version	2.0
%define lib_major	5
%define lib_name	%mklibname gtop %{api_version} %{lib_major}
%define last_abi_break_version 2.5.2

Summary:	The LibGTop library
Name:     	%{pkgname}2
Version: 2.10.2
Release: 1mdk
License:	GPL
Group:		System/Libraries
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 2.0.2-1mdk fix autoconf/automake environment (rawhide)
Patch0:		libgtop-2.0.0-prog_as.patch.bz2

BuildRequires:	libglib2.0-devel >= %{req_glib2_version}
BuildRequires:	popt-devel
BuildRequires:	autoconf2.5
BuildRequires:  automake1.7

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}
Requires:   %{name} >= %{version}
Requires:	libglib2.0 >= %{req_glib2_version}

%description -n %{lib_name}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{lib_name}-devel
Summary:	Development files for %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}
Conflicts:	%{pkgname}%{api_version}-devel < %{last_abi_break_version}

%description -n %{lib_name}-devel
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .prog_as

aclocal-1.7
automake-1.7 --add-missing --force-missing
WANT_AUTOCONF_2_5=1 autoconf
WANT_AUTOCONF_2_5=1 autoheader

%build
%configure2_5x \
%if %build_example
	--with-libgtop-examples
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std 

%{find_lang} %{pkgname}-%{api_version}

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgnomesupport* \
 $RPM_BUILD_ROOT%{_bindir}/libgtop_daemon2 \
 $RPM_BUILD_ROOT%{_libdir}/libgtop/include

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}.info

%postun -n %{lib_name}-devel
%_remove_install_info %{name}.info

%files -f %{pkgname}-%{api_version}.lang
%defattr(-, root, root)
%doc NEWS README
%if %build_example
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/first*
%{_libdir}/%{pkgname}/mountlist*
%{_libdir}/%{pkgname}/netload*
%{_libdir}/%{pkgname}/procmap*
%{_libdir}/%{pkgname}/second*
%{_libdir}/%{pkgname}/smp*
%{_libdir}/%{pkgname}/sysdeps*
%{_libdir}/%{pkgname}/timings*
%endif

%files -n %{lib_name}
%defattr(-, root, root)
%doc NEWS README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_infodir}/*.info*

%changelog
* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Tue Dec  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Add conflicts to easy upgrade

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version

* Tue Apr  6 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.2-1mdk
- New release 2.5.2
- Remove patches 1, 2 (merged upstream)

* Wed Feb 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-4mdk
- Fix distlint error

* Wed Feb 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-3mdk
- Patch2 (CVS): fix memory detection (Mdk bug #7511)

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-2mdk
- Patch1 (Christiaan Welvaart): fix build with latest autoconf

* Mon Jan 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-2mdk
- fix buildrequires

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.7-1mdk
- remove unpackaged dir
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.3-2mdk
- Rebuild to fix dependencies

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.3-1mdk
- Release 2.0.3

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.2-2mdk
- Rebuild for latest dependencies

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.0.2-1mdk
- Release 2.0.2
- mklibnamification
- Patch0 (rawhide): fix autoconf/automake environment
- Remove libgtop_daemon2, it has security issues.

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-1mdk
- First official Mdk package

* Sun Mar 17 2002 Abel Cheung <maddog@linux.org.hk> 1.90.2-1mdk
- All patches are merged upstream
- Eliminate usage of "usecvs" variable
- Add variable to toggle building example binaries or not
- Don't use --with-linux-table option in configure
- Build against glib 2.0.0
- Change lib and devel package name

* Mon Jan 14 2002 Abel Cheung <maddog@linux.org.hk> 1.90.1-1mdk
- 1.90.1
- Regenerate patch0
- Rename spec to libgtop2, avoid package name conflict with
  libgtop1

* Wed Jan  9 2002 Abel Cheung <maddog@linux.org.hk> 1.90.0-2mdk
- Rebuild for glib 1.3.12
- Use makeinstall_std
- BuildConflicts itself to avoid generating faulty package

* Tue Dec  4 2001 Abel Cheung <maddog@linux.org.hk> 1.90.0-1mdk
- 1.90.0
- Old patch0 not necessary now
- Ugly hack to regenerate configure
- New patch0: Define $GETTEXT_PACKAGE correctly
- Patch1: Fix compilation of examples
- Patch2: Don't install header for internal use only

* Sun Nov 25 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-3mdk
- Modify patch0 not to use full version number as include path
- Remove static module from file list

* Mon Oct 29 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-2mdk
- Bzip2 patch
- Rebuild for glib 1.3.10
- Rename .mo files to coexist with libgtop 1.0.x .mo files
- find_lang is back

* Sat Oct 13 2001 Abel Cheung <maddog@linux.org.hk> 1.1.6-1mdk
- CVS 2001-10-13
- Removed unnecessary copyright files, Requires: common-licenses
- Patch0: parallel installation fix
- Provides: libgtop{,-devel} = $version-$release , Removed Obsoletes: libgtop
- Move info files to devel

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-4mdk
- Add __KERNEL__ for isdn part compilation 

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-3mdk
- Correct installation of info files

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-7mdk
- BuildRequires: bc
- s/Copyright/License

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 1.0.9-6mdk
- new lib policy
- added install_info
- moved libgtop_daemon to devel

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-4mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- More BM
- libgtop-bin is now in devel

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- BM

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release
- fix URL
- remove debug info from compilation step (anyway, they were stripped by
  spechelper)
- RPM chmouelization (%%makeinstall, %%configure, %%{_*dir})

* Mon Apr 3 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.1mdk
- bzipped source 
- include helix stuffs

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and build for curr glibc 
